#ifndef celiv_h
#define celiv_h
#include "../../sim.h"

struct celiv 
{
	int celiv_start_at_vbi;
	int celiv_enable_time_mesh;
	double Rshort_celiv;
	double celiv_dt;
	double celiv_t0;
	double celiv_t1;
	double celiv_t2;
	double celiv_t3;
	double celiv_Vexternal;
	double celiv_Vmax;
	double celiv_time_j0;
	double celiv_time_j1;
	double celiv_laser_on;
	double celiv_laser_width;
	double celiv_laser_eff;
	double celiv_Vss;
	int celiv_match_tpv;
	int celiv_invert_current;
};

extern struct celiv celiv_config;
double newton_celiv(struct device *in,double Vtot,int usecap);
void celiv_load_config(struct celiv *in,struct device *dev);
void sim_celiv(struct device *in);
void newton_aux_celiv(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
void join_tpv_to_ce(struct device *in);

#endif
