#ifndef tpv_h
#define tpv_h
#include "../../sim.h"

struct tpv 
{
	double tpvdtstart;
	double tpvstart;
	double tpvlaseroff;
	double tpvlaserpower;
	double tpvdtmull;
	double tpvstop;
	double tpvvoc;
	int tpvpulsestart;
	double tpv_L;
	int tpv_mode;
	int tpv_excitation_mode;
	double Rscope;
	int simwire;
};

void set_light_for_voc(struct device *in,double Voc);
void tpv_load_config(struct tpv *in,struct device *dev);
extern struct tpv tpv_config;
double newton_sim_tpv(struct device *in);
void sim_tpv(struct device *in);
void fit_tpv(char *file, double start, double stop,double a,double b,double c);
double newton_sim_tpv_fast(struct device *in,int do_LC);
double get_V_TPV(struct device *in);
double newton_sim_tpv_wire(struct device *in);
#endif
